%define name    archivemail
%define version 0.6.2
%define release %mkrel 2

Name:           %{name}
Version:        %{version}
Release:        %{release}
License:        GPL
Summary:        A tool for archiving and compressing old email
Group:          System/Servers
URL:            http://archivemail.sourceforge.net/
Source:         http://prdownloads.sourceforge.net/archivemail/%{name}-%{version}.tar.bz2
BuildRequires:  python-devel
BuildRequires:  docbook-dtd30-sgml
BuildRequires:  docbook-utils
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}

%description 
archivemail is a tool written in Python for archiving and compressing old email
in mailboxes. It can move messages older than the specified number of days to a
separate mbox format mailbox that is compressed with gzip, or optionally just
delete old email.

%prep
%setup -q
ln -s archivemail.py archivemail

%build
%{__make} archivemail.1

%install
rm -rf %{buildroot}
./setup.py install --root=%{buildroot} --install-data=usr/share

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc COPYING FAQ README CHANGELOG TODO
%{_bindir}/*
%{_mandir}/man1/*

%changelog
* Thu Aug 31 2006 Guillaume Rousse <guillomovitch@mandriva.org> 0.6.2-2mdv2007.0
- buildrequires docbook-utils

* Tue Aug 01 2006 Guillaume Rousse <guillomovitch@mandriva.org> 0.6.2-1mdv2007.0
- New version 0.6.2
- drop patch, use setup.py option instead

* Tue Nov 08 2005 Nicolas Lcureuil <neoclust@mandriva.org> 0.6.1-2mdk
- Fix BuildRequires

* Tue Nov 08 2005 Guillaume Rousse <guillomovitch@mandriva.org> 0.6.1-1mdk
- first mdk release
